package ru.tsc.ichaplygina.taskmanager.endpoint;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.Action;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;

/**
 * This class was generated by Apache CXF 3.2.7
 * 2021-03-12T18:35:23.643+03:00
 * Generated source version: 3.2.7
 */
@WebService(targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", name = "AdminEndpoint")
@XmlSeeAlso({ObjectFactory.class})
public interface AdminEndpoint {

    @WebMethod
    @Action(input = "http://endpoint.taskmanager.ichaplygina.tsc.ru/AdminEndpoint/saveBinaryRequest", output = "http://endpoint.taskmanager.ichaplygina.tsc.ru/AdminEndpoint/saveBinaryResponse")
    @RequestWrapper(localName = "saveBinary", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.SaveBinary")
    @ResponseWrapper(localName = "saveBinaryResponse", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.SaveBinaryResponse")
    public void saveBinary(
            @WebParam(name = "session", targetNamespace = "")
                    ru.tsc.ichaplygina.taskmanager.endpoint.Session session
    );

    @WebMethod
    @Action(input = "http://endpoint.taskmanager.ichaplygina.tsc.ru/AdminEndpoint/loadJsonFasterXMLRequest", output = "http://endpoint.taskmanager.ichaplygina.tsc.ru/AdminEndpoint/loadJsonFasterXMLResponse")
    @RequestWrapper(localName = "loadJsonFasterXML", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.LoadJsonFasterXML")
    @ResponseWrapper(localName = "loadJsonFasterXMLResponse", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.LoadJsonFasterXMLResponse")
    public void loadJsonFasterXML(
            @WebParam(name = "session", targetNamespace = "")
                    ru.tsc.ichaplygina.taskmanager.endpoint.Session session
    );

    @WebMethod
    @Action(input = "http://endpoint.taskmanager.ichaplygina.tsc.ru/AdminEndpoint/saveXMLFasterXMLRequest", output = "http://endpoint.taskmanager.ichaplygina.tsc.ru/AdminEndpoint/saveXMLFasterXMLResponse")
    @RequestWrapper(localName = "saveXMLFasterXML", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.SaveXMLFasterXML")
    @ResponseWrapper(localName = "saveXMLFasterXMLResponse", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.SaveXMLFasterXMLResponse")
    public void saveXMLFasterXML(
            @WebParam(name = "session", targetNamespace = "")
                    ru.tsc.ichaplygina.taskmanager.endpoint.Session session
    );

    @WebMethod
    @Action(input = "http://endpoint.taskmanager.ichaplygina.tsc.ru/AdminEndpoint/saveJsonJaxbRequest", output = "http://endpoint.taskmanager.ichaplygina.tsc.ru/AdminEndpoint/saveJsonJaxbResponse")
    @RequestWrapper(localName = "saveJsonJaxb", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.SaveJsonJaxb")
    @ResponseWrapper(localName = "saveJsonJaxbResponse", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.SaveJsonJaxbResponse")
    public void saveJsonJaxb(
            @WebParam(name = "session", targetNamespace = "")
                    ru.tsc.ichaplygina.taskmanager.endpoint.Session session
    );

    @WebMethod
    @Action(input = "http://endpoint.taskmanager.ichaplygina.tsc.ru/AdminEndpoint/changeRoleRequest", output = "http://endpoint.taskmanager.ichaplygina.tsc.ru/AdminEndpoint/changeRoleResponse")
    @RequestWrapper(localName = "changeRole", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.ChangeRole")
    @ResponseWrapper(localName = "changeRoleResponse", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.ChangeRoleResponse")
    public void changeRole(
            @WebParam(name = "session", targetNamespace = "")
                    ru.tsc.ichaplygina.taskmanager.endpoint.Session session,
            @WebParam(name = "login", targetNamespace = "")
                    java.lang.String login,
            @WebParam(name = "newRole", targetNamespace = "")
                    java.lang.String newRole
    );

    @WebMethod
    @Action(input = "http://endpoint.taskmanager.ichaplygina.tsc.ru/AdminEndpoint/saveYAMLFasterXMLRequest", output = "http://endpoint.taskmanager.ichaplygina.tsc.ru/AdminEndpoint/saveYAMLFasterXMLResponse")
    @RequestWrapper(localName = "saveYAMLFasterXML", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.SaveYAMLFasterXML")
    @ResponseWrapper(localName = "saveYAMLFasterXMLResponse", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.SaveYAMLFasterXMLResponse")
    public void saveYAMLFasterXML(
            @WebParam(name = "session", targetNamespace = "")
                    ru.tsc.ichaplygina.taskmanager.endpoint.Session session
    );

    @WebMethod
    @Action(input = "http://endpoint.taskmanager.ichaplygina.tsc.ru/AdminEndpoint/changePasswordRequest", output = "http://endpoint.taskmanager.ichaplygina.tsc.ru/AdminEndpoint/changePasswordResponse")
    @RequestWrapper(localName = "changePassword", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.ChangePassword")
    @ResponseWrapper(localName = "changePasswordResponse", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.ChangePasswordResponse")
    public void changePassword(
            @WebParam(name = "session", targetNamespace = "")
                    ru.tsc.ichaplygina.taskmanager.endpoint.Session session,
            @WebParam(name = "login", targetNamespace = "")
                    java.lang.String login,
            @WebParam(name = "newPassword", targetNamespace = "")
                    java.lang.String newPassword
    );

    @WebMethod
    @Action(input = "http://endpoint.taskmanager.ichaplygina.tsc.ru/AdminEndpoint/saveBackupRequest", output = "http://endpoint.taskmanager.ichaplygina.tsc.ru/AdminEndpoint/saveBackupResponse")
    @RequestWrapper(localName = "saveBackup", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.SaveBackup")
    @ResponseWrapper(localName = "saveBackupResponse", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.SaveBackupResponse")
    public void saveBackup(
            @WebParam(name = "session", targetNamespace = "")
                    ru.tsc.ichaplygina.taskmanager.endpoint.Session session
    );

    @WebMethod
    @Action(input = "http://endpoint.taskmanager.ichaplygina.tsc.ru/AdminEndpoint/removeUserByIdRequest", output = "http://endpoint.taskmanager.ichaplygina.tsc.ru/AdminEndpoint/removeUserByIdResponse")
    @RequestWrapper(localName = "removeUserById", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.RemoveUserById")
    @ResponseWrapper(localName = "removeUserByIdResponse", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.RemoveUserByIdResponse")
    public void removeUserById(
            @WebParam(name = "session", targetNamespace = "")
                    ru.tsc.ichaplygina.taskmanager.endpoint.Session session,
            @WebParam(name = "userId", targetNamespace = "")
                    java.lang.String userId
    );

    @WebMethod
    @Action(input = "http://endpoint.taskmanager.ichaplygina.tsc.ru/AdminEndpoint/updateUserByLoginRequest", output = "http://endpoint.taskmanager.ichaplygina.tsc.ru/AdminEndpoint/updateUserByLoginResponse")
    @RequestWrapper(localName = "updateUserByLogin", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.UpdateUserByLogin")
    @ResponseWrapper(localName = "updateUserByLoginResponse", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.UpdateUserByLoginResponse")
    public void updateUserByLogin(
            @WebParam(name = "session", targetNamespace = "")
                    ru.tsc.ichaplygina.taskmanager.endpoint.Session session,
            @WebParam(name = "userLogin", targetNamespace = "")
                    java.lang.String userLogin,
            @WebParam(name = "password", targetNamespace = "")
                    java.lang.String password,
            @WebParam(name = "email", targetNamespace = "")
                    java.lang.String email,
            @WebParam(name = "role", targetNamespace = "")
                    java.lang.String role,
            @WebParam(name = "firstName", targetNamespace = "")
                    java.lang.String firstName,
            @WebParam(name = "middleName", targetNamespace = "")
                    java.lang.String middleName,
            @WebParam(name = "lastName", targetNamespace = "")
                    java.lang.String lastName
    );

    @WebMethod
    @Action(input = "http://endpoint.taskmanager.ichaplygina.tsc.ru/AdminEndpoint/loadJsonJaxbRequest", output = "http://endpoint.taskmanager.ichaplygina.tsc.ru/AdminEndpoint/loadJsonJaxbResponse")
    @RequestWrapper(localName = "loadJsonJaxb", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.LoadJsonJaxb")
    @ResponseWrapper(localName = "loadJsonJaxbResponse", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.LoadJsonJaxbResponse")
    public void loadJsonJaxb(
            @WebParam(name = "session", targetNamespace = "")
                    ru.tsc.ichaplygina.taskmanager.endpoint.Session session
    );

    @WebMethod
    @Action(input = "http://endpoint.taskmanager.ichaplygina.tsc.ru/AdminEndpoint/loadYAMLFasterXMLRequest", output = "http://endpoint.taskmanager.ichaplygina.tsc.ru/AdminEndpoint/loadYAMLFasterXMLResponse")
    @RequestWrapper(localName = "loadYAMLFasterXML", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.LoadYAMLFasterXML")
    @ResponseWrapper(localName = "loadYAMLFasterXMLResponse", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.LoadYAMLFasterXMLResponse")
    public void loadYAMLFasterXML(
            @WebParam(name = "session", targetNamespace = "")
                    ru.tsc.ichaplygina.taskmanager.endpoint.Session session
    );

    @WebMethod
    @Action(input = "http://endpoint.taskmanager.ichaplygina.tsc.ru/AdminEndpoint/findUserByIdRequest", output = "http://endpoint.taskmanager.ichaplygina.tsc.ru/AdminEndpoint/findUserByIdResponse")
    @RequestWrapper(localName = "findUserById", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.FindUserById")
    @ResponseWrapper(localName = "findUserByIdResponse", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.FindUserByIdResponse")
    @WebResult(name = "return", targetNamespace = "")
    public ru.tsc.ichaplygina.taskmanager.endpoint.User findUserById(
            @WebParam(name = "session", targetNamespace = "")
                    ru.tsc.ichaplygina.taskmanager.endpoint.Session session,
            @WebParam(name = "userId", targetNamespace = "")
                    java.lang.String userId
    );

    @WebMethod
    @Action(input = "http://endpoint.taskmanager.ichaplygina.tsc.ru/AdminEndpoint/unlockUserByIdRequest", output = "http://endpoint.taskmanager.ichaplygina.tsc.ru/AdminEndpoint/unlockUserByIdResponse")
    @RequestWrapper(localName = "unlockUserById", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.UnlockUserById")
    @ResponseWrapper(localName = "unlockUserByIdResponse", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.UnlockUserByIdResponse")
    public void unlockUserById(
            @WebParam(name = "session", targetNamespace = "")
                    ru.tsc.ichaplygina.taskmanager.endpoint.Session session,
            @WebParam(name = "userId", targetNamespace = "")
                    java.lang.String userId
    );

    @WebMethod
    @Action(input = "http://endpoint.taskmanager.ichaplygina.tsc.ru/AdminEndpoint/saveXMLJaxbRequest", output = "http://endpoint.taskmanager.ichaplygina.tsc.ru/AdminEndpoint/saveXMLJaxbResponse")
    @RequestWrapper(localName = "saveXMLJaxb", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.SaveXMLJaxb")
    @ResponseWrapper(localName = "saveXMLJaxbResponse", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.SaveXMLJaxbResponse")
    public void saveXMLJaxb(
            @WebParam(name = "session", targetNamespace = "")
                    ru.tsc.ichaplygina.taskmanager.endpoint.Session session
    );

    @WebMethod
    @Action(input = "http://endpoint.taskmanager.ichaplygina.tsc.ru/AdminEndpoint/getUsersRequest", output = "http://endpoint.taskmanager.ichaplygina.tsc.ru/AdminEndpoint/getUsersResponse")
    @RequestWrapper(localName = "getUsers", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.GetUsers")
    @ResponseWrapper(localName = "getUsersResponse", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.GetUsersResponse")
    @WebResult(name = "return", targetNamespace = "")
    public java.util.List<ru.tsc.ichaplygina.taskmanager.endpoint.User> getUsers(
            @WebParam(name = "session", targetNamespace = "")
                    ru.tsc.ichaplygina.taskmanager.endpoint.Session session
    );

    @WebMethod
    @Action(input = "http://endpoint.taskmanager.ichaplygina.tsc.ru/AdminEndpoint/updateUserByIdRequest", output = "http://endpoint.taskmanager.ichaplygina.tsc.ru/AdminEndpoint/updateUserByIdResponse")
    @RequestWrapper(localName = "updateUserById", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.UpdateUserById")
    @ResponseWrapper(localName = "updateUserByIdResponse", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.UpdateUserByIdResponse")
    public void updateUserById(
            @WebParam(name = "session", targetNamespace = "")
                    ru.tsc.ichaplygina.taskmanager.endpoint.Session session,
            @WebParam(name = "userId", targetNamespace = "")
                    java.lang.String userId,
            @WebParam(name = "login", targetNamespace = "")
                    java.lang.String login,
            @WebParam(name = "password", targetNamespace = "")
                    java.lang.String password,
            @WebParam(name = "email", targetNamespace = "")
                    java.lang.String email,
            @WebParam(name = "role", targetNamespace = "")
                    java.lang.String role,
            @WebParam(name = "firstName", targetNamespace = "")
                    java.lang.String firstName,
            @WebParam(name = "middleName", targetNamespace = "")
                    java.lang.String middleName,
            @WebParam(name = "lastName", targetNamespace = "")
                    java.lang.String lastName
    );

    @WebMethod
    @Action(input = "http://endpoint.taskmanager.ichaplygina.tsc.ru/AdminEndpoint/saveBase64Request", output = "http://endpoint.taskmanager.ichaplygina.tsc.ru/AdminEndpoint/saveBase64Response")
    @RequestWrapper(localName = "saveBase64", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.SaveBase64")
    @ResponseWrapper(localName = "saveBase64Response", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.SaveBase64Response")
    public void saveBase64(
            @WebParam(name = "session", targetNamespace = "")
                    ru.tsc.ichaplygina.taskmanager.endpoint.Session session
    );

    @WebMethod
    @Action(input = "http://endpoint.taskmanager.ichaplygina.tsc.ru/AdminEndpoint/findUserByLoginRequest", output = "http://endpoint.taskmanager.ichaplygina.tsc.ru/AdminEndpoint/findUserByLoginResponse")
    @RequestWrapper(localName = "findUserByLogin", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.FindUserByLogin")
    @ResponseWrapper(localName = "findUserByLoginResponse", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.FindUserByLoginResponse")
    @WebResult(name = "return", targetNamespace = "")
    public ru.tsc.ichaplygina.taskmanager.endpoint.User findUserByLogin(
            @WebParam(name = "session", targetNamespace = "")
                    ru.tsc.ichaplygina.taskmanager.endpoint.Session session,
            @WebParam(name = "userLogin", targetNamespace = "")
                    java.lang.String userLogin
    );

    @WebMethod
    @Action(input = "http://endpoint.taskmanager.ichaplygina.tsc.ru/AdminEndpoint/lockUserByLoginRequest", output = "http://endpoint.taskmanager.ichaplygina.tsc.ru/AdminEndpoint/lockUserByLoginResponse")
    @RequestWrapper(localName = "lockUserByLogin", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.LockUserByLogin")
    @ResponseWrapper(localName = "lockUserByLoginResponse", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.LockUserByLoginResponse")
    public void lockUserByLogin(
            @WebParam(name = "session", targetNamespace = "")
                    ru.tsc.ichaplygina.taskmanager.endpoint.Session session,
            @WebParam(name = "userLogin", targetNamespace = "")
                    java.lang.String userLogin
    );

    @WebMethod
    @Action(input = "http://endpoint.taskmanager.ichaplygina.tsc.ru/AdminEndpoint/removeUserByLoginRequest", output = "http://endpoint.taskmanager.ichaplygina.tsc.ru/AdminEndpoint/removeUserByLoginResponse")
    @RequestWrapper(localName = "removeUserByLogin", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.RemoveUserByLogin")
    @ResponseWrapper(localName = "removeUserByLoginResponse", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.RemoveUserByLoginResponse")
    public void removeUserByLogin(
            @WebParam(name = "session", targetNamespace = "")
                    ru.tsc.ichaplygina.taskmanager.endpoint.Session session,
            @WebParam(name = "userLogin", targetNamespace = "")
                    java.lang.String userLogin
    );

    @WebMethod
    @Action(input = "http://endpoint.taskmanager.ichaplygina.tsc.ru/AdminEndpoint/saveJsonFasterXMLRequest", output = "http://endpoint.taskmanager.ichaplygina.tsc.ru/AdminEndpoint/saveJsonFasterXMLResponse")
    @RequestWrapper(localName = "saveJsonFasterXML", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.SaveJsonFasterXML")
    @ResponseWrapper(localName = "saveJsonFasterXMLResponse", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.SaveJsonFasterXMLResponse")
    public void saveJsonFasterXML(
            @WebParam(name = "session", targetNamespace = "")
                    ru.tsc.ichaplygina.taskmanager.endpoint.Session session
    );

    @WebMethod
    @Action(input = "http://endpoint.taskmanager.ichaplygina.tsc.ru/AdminEndpoint/unlockUserByLoginRequest", output = "http://endpoint.taskmanager.ichaplygina.tsc.ru/AdminEndpoint/unlockUserByLoginResponse")
    @RequestWrapper(localName = "unlockUserByLogin", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.UnlockUserByLogin")
    @ResponseWrapper(localName = "unlockUserByLoginResponse", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.UnlockUserByLoginResponse")
    public void unlockUserByLogin(
            @WebParam(name = "session", targetNamespace = "")
                    ru.tsc.ichaplygina.taskmanager.endpoint.Session session,
            @WebParam(name = "userLogin", targetNamespace = "")
                    java.lang.String userLogin
    );

    @WebMethod
    @Action(input = "http://endpoint.taskmanager.ichaplygina.tsc.ru/AdminEndpoint/loadXMLJaxbRequest", output = "http://endpoint.taskmanager.ichaplygina.tsc.ru/AdminEndpoint/loadXMLJaxbResponse")
    @RequestWrapper(localName = "loadXMLJaxb", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.LoadXMLJaxb")
    @ResponseWrapper(localName = "loadXMLJaxbResponse", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.LoadXMLJaxbResponse")
    public void loadXMLJaxb(
            @WebParam(name = "session", targetNamespace = "")
                    ru.tsc.ichaplygina.taskmanager.endpoint.Session session
    );

    @WebMethod
    @Action(input = "http://endpoint.taskmanager.ichaplygina.tsc.ru/AdminEndpoint/loadBase64Request", output = "http://endpoint.taskmanager.ichaplygina.tsc.ru/AdminEndpoint/loadBase64Response")
    @RequestWrapper(localName = "loadBase64", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.LoadBase64")
    @ResponseWrapper(localName = "loadBase64Response", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.LoadBase64Response")
    public void loadBase64(
            @WebParam(name = "session", targetNamespace = "")
                    ru.tsc.ichaplygina.taskmanager.endpoint.Session session
    );

    @WebMethod
    @Action(input = "http://endpoint.taskmanager.ichaplygina.tsc.ru/AdminEndpoint/loadBackupRequest", output = "http://endpoint.taskmanager.ichaplygina.tsc.ru/AdminEndpoint/loadBackupResponse")
    @RequestWrapper(localName = "loadBackup", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.LoadBackup")
    @ResponseWrapper(localName = "loadBackupResponse", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.LoadBackupResponse")
    public void loadBackup(
            @WebParam(name = "session", targetNamespace = "")
                    ru.tsc.ichaplygina.taskmanager.endpoint.Session session
    );

    @WebMethod
    @Action(input = "http://endpoint.taskmanager.ichaplygina.tsc.ru/AdminEndpoint/addUserRequest", output = "http://endpoint.taskmanager.ichaplygina.tsc.ru/AdminEndpoint/addUserResponse")
    @RequestWrapper(localName = "addUser", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.AddUser")
    @ResponseWrapper(localName = "addUserResponse", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.AddUserResponse")
    public void addUser(
            @WebParam(name = "session", targetNamespace = "")
                    ru.tsc.ichaplygina.taskmanager.endpoint.Session session,
            @WebParam(name = "login", targetNamespace = "")
                    java.lang.String login,
            @WebParam(name = "password", targetNamespace = "")
                    java.lang.String password,
            @WebParam(name = "email", targetNamespace = "")
                    java.lang.String email,
            @WebParam(name = "role", targetNamespace = "")
                    java.lang.String role,
            @WebParam(name = "firstName", targetNamespace = "")
                    java.lang.String firstName,
            @WebParam(name = "middleName", targetNamespace = "")
                    java.lang.String middleName,
            @WebParam(name = "lastName", targetNamespace = "")
                    java.lang.String lastName
    );

    @WebMethod
    @Action(input = "http://endpoint.taskmanager.ichaplygina.tsc.ru/AdminEndpoint/loadXMLFasterXMLRequest", output = "http://endpoint.taskmanager.ichaplygina.tsc.ru/AdminEndpoint/loadXMLFasterXMLResponse")
    @RequestWrapper(localName = "loadXMLFasterXML", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.LoadXMLFasterXML")
    @ResponseWrapper(localName = "loadXMLFasterXMLResponse", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.LoadXMLFasterXMLResponse")
    public void loadXMLFasterXML(
            @WebParam(name = "session", targetNamespace = "")
                    ru.tsc.ichaplygina.taskmanager.endpoint.Session session
    );

    @WebMethod
    @Action(input = "http://endpoint.taskmanager.ichaplygina.tsc.ru/AdminEndpoint/loadBinaryRequest", output = "http://endpoint.taskmanager.ichaplygina.tsc.ru/AdminEndpoint/loadBinaryResponse")
    @RequestWrapper(localName = "loadBinary", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.LoadBinary")
    @ResponseWrapper(localName = "loadBinaryResponse", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.LoadBinaryResponse")
    public void loadBinary(
            @WebParam(name = "session", targetNamespace = "")
                    ru.tsc.ichaplygina.taskmanager.endpoint.Session session
    );

    @WebMethod
    @Action(input = "http://endpoint.taskmanager.ichaplygina.tsc.ru/AdminEndpoint/lockUserByIdRequest", output = "http://endpoint.taskmanager.ichaplygina.tsc.ru/AdminEndpoint/lockUserByIdResponse")
    @RequestWrapper(localName = "lockUserById", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.LockUserById")
    @ResponseWrapper(localName = "lockUserByIdResponse", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.LockUserByIdResponse")
    public void lockUserById(
            @WebParam(name = "session", targetNamespace = "")
                    ru.tsc.ichaplygina.taskmanager.endpoint.Session session,
            @WebParam(name = "userId", targetNamespace = "")
                    java.lang.String userId
    );
}
